Summary:             yaml style config file library for bash
Name:                bash-yaml
Version:             0.3
Release:             1
# URL: 
Source0:             %{name}-%{version}.tar.xz
License:             GPL
Group:               Applications/System
BuildRoot:           %{_tmppath}/%{name}-root
BuildArchitectures:  noarch
Requires:            bash-base >= 0.6
Requires:            shyaml
BuildRequires:       bash-base >= 0.6

%description

This library provides yaml style config file support for bash. It
supports read only access to yaml files. Only a subset of yaml
is currently supported.

%prep
%setup -q

%build

%check
./regress/yaml-regress.sh

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/{libexec,share/doc/%{name}-%{version}}
cp -a libexec/%{name}.bash %{buildroot}/usr/libexec/.
cp -a doc/* %{buildroot}/usr/share/doc/%{name}-%{version}/.

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/libexec/%{name}.bash
%doc /usr/share/doc/%{name}-%{version}
